package com.mdd.admin.validate.config;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("更新内置防红配置参数")
public class CloakUpdateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("license")
   private @NotNull(
   message = "license不能为空"
) String license;
   @ApiModelProperty("斗篷key")
   private @NotNull(
   message = "斗篷key参数缺失"
) String cloakKey;
   @ApiModelProperty("斗篷ID")
   private @NotNull(
   message = "斗篷ID参数缺失"
) String cloakId;

   public @NotNull(
   message = "license不能为空"
) String getLicense() {
      return this.license;
   }

   public @NotNull(
   message = "斗篷key参数缺失"
) String getCloakKey() {
      return this.cloakKey;
   }

   public @NotNull(
   message = "斗篷ID参数缺失"
) String getCloakId() {
      return this.cloakId;
   }

   public void setLicense(@NotNull(
   message = "license不能为空"
) String license) {
      this.license = license;
   }

   public void setCloakKey(@NotNull(
   message = "斗篷key参数缺失"
) String cloakKey) {
      this.cloakKey = cloakKey;
   }

   public void setCloakId(@NotNull(
   message = "斗篷ID参数缺失"
) String cloakId) {
      this.cloakId = cloakId;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof CloakUpdateValidate)) {
         return false;
      } else {
         CloakUpdateValidate other = (CloakUpdateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label47: {
               Object this$license = this.getLicense();
               Object other$license = other.getLicense();
               if (this$license == null) {
                  if (other$license == null) {
                     break label47;
                  }
               } else if (this$license.equals(other$license)) {
                  break label47;
               }

               return false;
            }

            Object this$cloakKey = this.getCloakKey();
            Object other$cloakKey = other.getCloakKey();
            if (this$cloakKey == null) {
               if (other$cloakKey != null) {
                  return false;
               }
            } else if (!this$cloakKey.equals(other$cloakKey)) {
               return false;
            }

            Object this$cloakId = this.getCloakId();
            Object other$cloakId = other.getCloakId();
            if (this$cloakId == null) {
               if (other$cloakId != null) {
                  return false;
               }
            } else if (!this$cloakId.equals(other$cloakId)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof CloakUpdateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $license = this.getLicense();
      result = result * 59 + ($license == null ? 43 : $license.hashCode());
      Object $cloakKey = this.getCloakKey();
      result = result * 59 + ($cloakKey == null ? 43 : $cloakKey.hashCode());
      Object $cloakId = this.getCloakId();
      result = result * 59 + ($cloakId == null ? 43 : $cloakId.hashCode());
      return result;
   }

   public String toString() {
      return "CloakUpdateValidate(license=" + this.getLicense() + ", cloakKey=" + this.getCloakKey() + ", cloakId=" + this.getCloakId() + ")";
   }
}
